GETeSIM Management
List eSIMs
Retrieve a paginated list of all eSIMs associated with your account,including all relevant information of the data plan for each eSIM.
Endpoint
GEThttps://api.sotel.com/api/esim/fetch/esims
Authentication
Requires an Authentication Token obtained from the /authenticate endpoint. Include it in the X-Token header.
X-Token:{{token}}Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
page | integer | Optional | Page number for pagination (zero-indexed). (Default: 0) |
size | integer | Optional | Number of results per page. (Default: 15) |
Response
List of eSIMs returned successfully.
Response
{
"status": "Success",
"code": 200,
"data": {
"content": [
{
"id": 47,
"iccid": "8910300000033610517",
"productId": "21170180",
"imsi": "260012165106751",
"state": "INACTIVE",
"lastOperationDate": "2025-06-06 07:37:55",
"activationCode": "TN202503101118161AF32A65",
"smdp": "consumer.e-sim.global",
"purchaseDate": "2026-10-07T12:34:14.250+01:00",
"plan": {
"productId": "21170180",
"name": "Vatican City 1GB 5 days",
"dataPlanType": "DESTINATION",
"dataAllowance": 1,
"timeAllowance": 5,
"price": 2,
"country": "Netherlands",
"iso3": "NLD",
"region": "Europe",
"expiryDate": "2026-10-12T12:34:14.053+01:00"
}
},
{
"id": 46,
"iccid": "8910300000006385143",
"productId": "21170170",
"imsi": "234104979244595",
"state": "INACTIVE",
"lastOperationDate": "2023-10-24 16:13:54",
"activationCode": "TN202301051416450EFA31D3",
"smdp": "consumer.rsp.global",
"purchaseDate": "2026-10-07T12:16:05.634+01:00",
"plan": {
"productId": "21170170",
"name": "Netherlands 1GB 5 days",
"dataPlanType": "DESTINATION",
"dataAllowance": 1,
"timeAllowance": 5,
"price": 2,
"country": "Netherlands",
"iso3": "NLD",
"region": "Europe",
"expiryDate": "2026-10-12T12:58:45.505+01:00"
}
}
],
"pageable": {
"pageNumber": 0,
"pageSize": 15,
"sort": {
"sorted": true,
"empty": false,
"unsorted": false
},
"offset": 0,
"paged": true,
"unpaged": false
},
"last": true,
"totalElements": 2,
"totalPages": 1,
"size": 15,
"number": 0,
"sort": {
"sorted": true,
"empty": false,
"unsorted": false
},
"first": true,
"numberOfElements": 2,
"empty": false
},
"message": "Successful",
"timestamp": "2026-10-07 13:08:23"
}Code Examples
curl -X GET 'https://api.sotel.com/api/esim/fetch/esims?page=0&size=15' \
-H 'X-Token:{{token}}'Try It
Try It
Fill in the parameters to generate a cURL command
Generated cURL
curl --location 'https://api.sotel.com/api/esim/fetch/esims' \
--header 'X-Token: {token}'